Dry-run authorize a charge against a mandate
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/commerce/agent-mandate/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mandate": {
"id": "<string>",
"agentId": "<string>",
"principalId": "<string>",
"maxPerTransaction": 123,
"totalCap": 123,
"currency": "<string>",
"allowedMerchants": [
"<string>"
],
"allowedCategories": [
"<string>"
],
"spent": 123,
"authorizationCount": 123,
"consentDigest": "<string>",
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123,
"revokedAt": 123
},
"charge": {
"amount": 123,
"currency": "<string>",
"merchant": "<string>",
"category": "<string>",
"reference": "<string>"
}
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/commerce/agent-mandate/authorize"
payload = {
"mandate": {
"id": "<string>",
"agentId": "<string>",
"principalId": "<string>",
"maxPerTransaction": 123,
"totalCap": 123,
"currency": "<string>",
"allowedMerchants": ["<string>"],
"allowedCategories": ["<string>"],
"spent": 123,
"authorizationCount": 123,
"consentDigest": "<string>",
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123,
"revokedAt": 123
},
"charge": {
"amount": 123,
"currency": "<string>",
"merchant": "<string>",
"category": "<string>",
"reference": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mandate: {
id: '<string>',
agentId: '<string>',
principalId: '<string>',
maxPerTransaction: 123,
totalCap: 123,
currency: '<string>',
allowedMerchants: ['<string>'],
allowedCategories: ['<string>'],
spent: 123,
authorizationCount: 123,
consentDigest: '<string>',
expiresAt: 123,
createdAt: 123,
updatedAt: 123,
revokedAt: 123
},
charge: {
amount: 123,
currency: '<string>',
merchant: '<string>',
category: '<string>',
reference: '<string>'
}
})
};
fetch('https://api.orbit.devotel.io/api/v1/commerce/agent-mandate/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"authorization": {
"authorized": true,
"reason": "<string>",
"authorizationId": "<string>",
"remainingCap": 123
}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Commerce
Dry-run authorize a charge against a mandate
Dry-run a charge against a mandate and return the decision WITHOUT advancing spend.
POST
/
api
/
v1
/
commerce
/
agent-mandate
/
authorize
Dry-run authorize a charge against a mandate
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I